package com.wtkj.controller;

import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.wtkj.service.IWorkStatusService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springblade.core.tool.api.R;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Blizzard
 * @create at 2023-09-15 23:58
 * @describe
 */
@RestController
@RequestMapping("/index")
@Api(value = "首页", tags = "首页")
@AllArgsConstructor
public class IndexController {

	private final IWorkStatusService workStatus;

	/**
	 * 用户工作状态
	 */
	@GetMapping("/work-status")
	@ApiOperationSupport(order = 2)
	@ApiOperation(value = "我的状态", notes = "")
	public R wordStatus() {
		return R.data(workStatus.workStatus());
	}
}
